<#-- Macro displayActionErrors: display action errors, if any. -->
<#macro displayActionErrors title="Errors">
	<#if (actionErrors?exists) && (actionErrors?size > 0)>
	<div class="actionError"><span class="errorLabel">${title}:</span></p>
	<ul class="actionError">
		<#list actionErrors as error>
		<li class="actionError"><span class="errorMessage">${error}</span></li>
		</#list>
	</ul>
	</#if>
</#macro>

<#-- Macro displayFieldErrors: display field errors, if any. -->
<#macro displayFieldErrors field>
	<#assign fieldErrors = action.getFieldErrors() />
	<#list fieldErrors?keys as key>
		<#if key == field>
			<#assign values = fieldErrors[key] />
			<#list values as value>
				<span class="errorMessage">${value?html}</span><br />
			</#list>
		</#if>
	</#list>
</#macro>
